# List Microdeposits

Retrieve a list of Microdeposit resources. Filter by payment_instrument_id to find microdeposits for a specific Payment Instrument.

Endpoint: GET /microdeposits
Security: BasicAuth

## Header parameters:

  - `Finix-Version` (string)
    Specify the API version of your request. For more details, see Versioning.
    Example: "2022-02-01"

## Query parameters:

  - `after_cursor` (string)
    Return every resource created after the cursor value.

  - `before_cursor` (string)
    Return every resource created before the cursor value.

  - `limit` (integer)
    The numbers of items to return.
    Example: 10

  - `payment_instrument_id` (string)
    Filter by Payment Instrument ID.
    Example: "PIcgYZswyRfqSSbvMsxuaHxZ"

## Response 200 fields (application/json):

  - `page` (object)
    Details the page that's returned.

  - `page.limit` (integer)
    The number of entries to return.

  - `page.next_cursor` (string,null)
    The cursor to use for the next page of results.

  - `_embedded` (object)

  - `_embedded.microdeposits` (array)

  - `_embedded.microdeposits.id` (string)
    The ID of the Microdeposit resource.
    Example: "microdeposit_8cFbWq5n2KjXcVbtQkC1U1"

  - `_embedded.microdeposits.created_at` (string)
    Timestamp of when the object was created.

  - `_embedded.microdeposits.updated_at` (string)
    Timestamp of when the object was last updated.

  - `_embedded.microdeposits.application` (string)
    ID of the Application the resource was created under.

  - `_embedded.microdeposits.currency` (string)
    ISO 4217 3-letter currency code.
    Enum: "CAD", "USD"

  - `_embedded.microdeposits.expires_at` (string)
    The timestamp indicating when the 30-day verification window closes. A microdeposit that isn't verified by this time expires.

  - `_embedded.microdeposits.failure_code` (string,null)
    Details why the verification failed. Returns null unless state is FAILED.
    Enum: "INVALID_BANK_ACCOUNT_ROUTING_NUMBER", "MICRODEPOSIT_RETURNED", "MICRODEPOSIT_VERIFICATION_ATTEMPTS_EXCEEDED", "MICRODEPOSIT_VERIFICATION_EXPIRED", "TOTAL_MICRODEPOSIT_ATTEMPTS_EXCEEDED_ACCOUNT_LOCKED"

  - `_embedded.microdeposits.failure_message` (string,null)
    Details why the verification failed.

  - `_embedded.microdeposits.instrument` (string)
    The ID of the bank account Payment Instrument being verified.
    Example: "PIkfiTDWYhQ4VbtQkC1U1ceJ"

  - `_embedded.microdeposits.rail` (string)
    The payment rail Finix used to send the $0.01 microdeposit.
    Example: "RTP"

  - `_embedded.microdeposits.state` (string)
    The state of the Microdeposit.
    Enum: "PENDING", "VERIFIED", "FAILED"

  - `_embedded.microdeposits.verification_attempts` (integer)
    The number of code submission tries used so far.
    Example: 1

  - `_embedded.microdeposits.verification_attempts_remaining` (integer)
    The number of code submission tries left for this microdeposit. Returns 0 once the verification has failed.
    Example: 2

  - `_embedded.microdeposits._links` (object)
    For your convenience, every response includes several URLs which link to resources relevant to the request. You can use these _links to make your follow-up requests and quickly access relevant IDs.

  - `_embedded.microdeposits._links.instrument` (object)
    Link to the bank account Payment Instrument being verified.

  - `_embedded.microdeposits._links.instrument.href` (string)

  - `_embedded.microdeposits._links.self` (object)
    Link to the resource that was used in the request.

  - `_embedded.microdeposits._links.self.href` (string)

  - `_links` (object)

  - `_links.self` (object)
    Link to the resource that was used in the request.

  - `_links.self.href` (string)

  - `_links.next` (object)
    Link to the next page of entries.

  - `_links.next.href` (string)

## Response 401 fields (application/json):

  - `total` (integer, required)
    Total number of errors returned.

  - `_embedded` (object, required)
    Container for embedded error objects.

  - `_embedded.errors` (array)
    List of individual error objects.

  - `_embedded.errors.code` (string)
    The error code. The UNKNOWN error code is returned for a 401 Unauthorized or 403 Forbidden request.

  - `_embedded.errors.logref` (string)
    A log reference identifier for the error, useful for debugging and support purposes.

  - `_embedded.errors.message` (string)
    A human-friendly error message.

  - `_embedded.errors._links` (object)
    Links related to this error.

  - `_embedded.errors._links.self` (object)
    Link to the resource related to the error.

  - `_embedded.errors._links.self.href` (string)
    URL of the related resource.

## Response 403 fields (application/json):

  - `total` (integer, required)
    Total number of errors returned.

  - `_embedded` (object, required)
    Container for embedded error objects.

  - `_embedded.errors` (array)
    List of individual error objects.

  - `_embedded.errors.code` (string)
    The error code. The UNKNOWN error code is returned for a 401 Unauthorized or 403 Forbidden request.

  - `_embedded.errors.logref` (string)
    A log reference identifier for the error, useful for debugging and support purposes.

  - `_embedded.errors.message` (string)
    A human-friendly error message.

  - `_embedded.errors._links` (object)
    Links related to this error.

  - `_embedded.errors._links.self` (object)
    Link to the resource related to the error.

  - `_embedded.errors._links.self.href` (string)
    URL of the related resource.

## Response 404 fields (application/json):

  - `total` (integer, required)
    Total number of errors returned.

  - `_embedded` (object, required)
    Container for embedded error objects.

  - `_embedded.errors` (array)
    List of individual error objects.

  - `_embedded.errors.code` (string)
    The error code. The UNKNOWN error code is returned for a 401 Unauthorized or 403 Forbidden request.

  - `_embedded.errors.logref` (string)
    A log reference identifier for the error, useful for debugging and support purposes.

  - `_embedded.errors.message` (string)
    A human-friendly error message.

  - `_embedded.errors._links` (object)
    Links related to this error.

  - `_embedded.errors._links.self` (object)
    Link to the resource related to the error.

  - `_embedded.errors._links.self.href` (string)
    URL of the related resource.

## Response 406 fields (application/json):

  - `total` (integer, required)
    Total number of errors returned.

  - `_embedded` (object, required)
    Container for embedded error objects.

  - `_embedded.errors` (array)
    List of individual error objects.

  - `_embedded.errors.code` (string)
    The error code. The UNKNOWN error code is returned for a 401 Unauthorized or 403 Forbidden request.

  - `_embedded.errors.logref` (string)
    A log reference identifier for the error, useful for debugging and support purposes.

  - `_embedded.errors.message` (string)
    A human-friendly error message.

  - `_embedded.errors._links` (object)
    Links related to this error.

  - `_embedded.errors._links.self` (object)
    Link to the resource related to the error.

  - `_embedded.errors._links.self.href` (string)
    URL of the related resource.


